<div id="admin-shipping">
  <div class="flex items-center justify-between">
    <div class="flex items-center">
      <nuxt-link to="/admin/discounts" class="text-decoration-none">
        <p class="mb-0 font-medium leading-6 text-content-subtitle">Settings</p>
      </nuxt-link>
      <v-icon class="mx-3" color="#6B7280"> mdi-chevron-right </v-icon>
      <p class="mb-0 font-medium leading-6 text-content-main capitalize">
        Shipping
      </p>
    </div>
  </div>
  <div class="mt-5">
    <v-card class="ui-card pa-3">
      <v-row no-gutters>
        <v-col cols="12" sm="3" class="pa-3">
          <p class="mb-0 lightContentPrimary fsize-16 font-weight-bold">
            Shipping Fee
          </p>
          <span class="mt-1 fsize-13 colorGreyHeaderTable">
            Create Shipping Fee options for your customer to choose before
            checkout.
          </span>
        </v-col>
        <v-col cols="12" sm="9" class="pa-3">
          <v-skeleton-loader
            class="mx-auto mt-10"
            width="100%"
            type="card"
            v-if="loadingTable"
          >
          </v-skeleton-loader>
          <div v-else>
            <div>
              <v-simple-table
                class="scrollTable c-pointer"
                fixed-header
                style="
                  border: 1px solid #edeeef;
                  border-radius: 8px 8px 8px 8px;
                "
              >
                <template v-slot:default>
                  <thead>
                    <tr>
                      <th class="px-0 table-head">
                        <div
                          class="d-flex align-center"
                          style="width: 200px; height: 48px"
                        >
                          <p
                            class="mb-0 fsize-12 text-uppercase table-head colorGreyHeaderTable ml-2 captionOverline !font-bold colorGreyHeaderTable"
                          >
                            Shipping Name
                          </p>
                        </div>
                      </th>
                      <th class="text-left px-0 table-head">
                        <div style="width: 200px">
                          <p
                            class="mb-0 fsize-12 text-uppercase table-head colorGreyHeaderTable captionOverline !font-bold colorGreyHeaderTable"
                          >
                            Description
                          </p>
                        </div>
                      </th>
                      <th class="text-left px-0 table-head">
                        <div style="width: 200px">
                          <p
                            class="mb-0 fsize-12 text-uppercase table-head colorGreyHeaderTable captionOverline !font-bold colorGreyHeaderTable"
                          >
                            Delivery Fee
                          </p>
                        </div>
                      </th>
                      <th class="text-left px-0 table-head">
                        <div style="width: 200px">
                          <p
                            class="mb-0 fsize-12 text-uppercase table-head colorGreyHeaderTable captionOverline !font-bold colorGreyHeaderTable"
                          >
                            Quantity
                          </p>
                        </div>
                      </th>
                      <th class="text-left px-0 table-head">
                        <div style="width: 200px">
                          <p
                            class="mb-0 fsize-12 text-uppercase table-head colorGreyHeaderTable captionOverline !font-bold colorGreyHeaderTable"
                          ></p>
                        </div>
                      </th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr v-for="(shipping,i) in listShipping" :key="i">
                      <td class="px-2 py-2">
                        <div class="d-flex align-center">
                          <div class="d-flex align-center" id="hideBottomInput">
                            <v-text-field
                              dense
                              outlined
                              v-model="shipping.name"
                              placeholder="Enter name shipping"
                            >
                            </v-text-field>
                          </div>
                        </div>
                      </td>
                      <td class="px-0 py-2">
                        <div class="d-flex align-center">
                          <div class="d-flex align-center" id="hideBottomInput">
                            <v-text-field
                              dense
                              outlined
                              v-model="shipping.desc"
                              placeholder="Enter description shipping"
                              style="width: 240px"
                            ></v-text-field>
                          </div>
                        </div>
                      </td>
                      <td class="px-0 py-2">
                        <div class="d-flex align-center">
                          <div class="d-flex align-center" id="hideBottomInput">
                            <v-text-field
                              dense
                              outlined
                              v-model.number="shipping.price"
                              style="width: 240px"
                              placeholder="Enter price shipping"
                            >
                            </v-text-field>
                          </div>
                        </div>
                      </td>
                      <td class="px-0 py-2">
                        <div class="d-flex align-center">
                          <div class="d-flex align-center" id="hideBottomInput">
                            <v-text-field
                              dense
                              outlined
                              v-model.number="shipping.quantity"
                              style="width: 240px"
                              placeholder="Enter quantity"
                            >
                            </v-text-field>
                          </div>
                        </div>
                      </td>
                      <td class="px-3 py-2">
                        <div v-if="editId === shipping._id || !shipping._id">
                          <v-btn
                            color="#076CE3"
                            outlined
                            style="min-width: 36px"
                            class="elevation-0 px-2"
                            small
                            @click="openDialogDelete(shipping._id || i)"
                          >
                            <v-icon color="#076CE3" size="18">
                              mdi-close
                            </v-icon>
                          </v-btn>
                          <v-btn
                            color="#076CE3"
                            style="min-width: 36px"
                            class="elevation-0 px-2 ml-2"
                            small
                            @click="onHandlerShipping(shipping._id || i)"
                          >
                            <v-progress-circular
                              v-if="loadingId === shipping._id || loadingId === i"
                              size="18"
                              indeterminate
                              color="#3398dc"
                            >
                            </v-progress-circular>
                            <v-icon color="#ffffff" size="18" v-else>
                              mdi-check
                            </v-icon>
                          </v-btn>
                        </div>
                        <div class="d-flex align-center" v-else>
                          <v-btn
                            color="#076CE3"
                            @click="editId = shipping._id"
                            style="min-width: 36px"
                            class="elevation-0 px-2"
                            small
                          >
                            <p class="mb-0 white--text">Edit</p>
                          </v-btn>
                          <v-btn
                            color="#FF5252"
                            icon
                            style="min-width: 36px"
                            class="px-0 ml-3"
                            @click="openDialogDelete(shipping._id)"
                          >
                            <div class="d-flex align-center">
                              <v-icon color="#FF5252"> mdi-delete </v-icon>
                            </div>
                          </v-btn>
                        </div>
                      </td>
                    </tr>
                  </tbody>
                </template>
              </v-simple-table>
              <div class="d-flex justify-center mt-5">
                <v-btn
                  color="#076CE3"
                  outlined
                  class="px-4"
                  @click="addShipping()"
                >
                  <div class="d-flex align-center">
                    <v-icon color="#076ce3"> mdi-plus </v-icon>
                    <span class="lightContentBlue ml-3">
                      Add Shipping Fee
                    </span>
                  </div>
                </v-btn>
              </div>
            </div>
          </div>
        </v-col>
      </v-row>
    </v-card>
  </div>

  <v-row justify="center">
    <v-dialog v-model="dialogDelete" max-width="383">
      <v-card class="pa-0">
        <div class="py-5 px-6">
          <div class="d-flex align-center justify-center">
            <v-icon color="#EB5757" size="56"> mdi-delete-forever </v-icon>
          </div>
          <p class="mb-0 mt-4 h6 text-center contentSemanticRed">
            Delete shipping?
          </p>
          <p class="mt-6 fsize-16 contentMain">
            Do you want to delete shipping?
          </p>
        </div>
        <div class="pb-8 px-4 d-flex align-center justify-space-between">
          <v-btn text width="49%" @click="dialogDelete = false">
            <p class="mb-0 fsize-16 font-weight-bold lightContentPrimary">
              Cancel
            </p>
          </v-btn>
          <v-btn
            color="#FF5252"
            class="elevation-0"
            width="49%"
            @click="onDeleteShipping()"
          >
            <p class="mb-0 fsize-16 font-weight-bold white--text">Delete</p>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>
</div>
